MCP Tools Reference: file.googleapis.com

Tool: filestore_create_backup

Creates a new backup.

The following sample demonstrate how to use curl to invoke the filestore_create_backup MCP tool.

Curl Request
                  
curl --location 'https://file.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "filestore_create_backup",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

CreateBackupRequest creates a backup.

CreateBackupRequest

JSON representation
{
  "parent": string,
  "backup": {
    object (Backup)
  },
  "backupId": string
}
Fields
parent

string

Required. The backup's project and location, in the format projects/{project_number}/locations/{location}. In Filestore, backup locations map to Google Cloud regions, for example us-west1.

backup

object (Backup)

Required. A backup resource

backupId

string

Required. The ID to use for the backup. The ID must be unique within the specified project and location.

This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen. Values that do not match this pattern will trigger an INVALID_ARGUMENT error.

Backup

JSON representation
{
  "name": string,
  "description": string,
  "state": enum (State),
  "createTime": string,
  "labels": {
    string: string,
    ...
  },
  "capacityGb": string,
  "storageBytes": string,
  "sourceInstance": string,
  "sourceFileShare": string,
  "sourceInstanceTier": enum (Tier),
  "downloadBytes": string,
  "satisfiesPzs": boolean,
  "satisfiesPzi": boolean,
  "kmsKey": string,
  "tags": {
    string: string,
    ...
  },
  "fileSystemProtocol": enum (FileProtocol)
}
Fields
name

string

Output only. The resource name of the backup, in the format projects/{project_number}/locations/{location_id}/backups/{backup_id}.

description

string

A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected.

state

enum (State)

Output only. The backup state.

createTime

string (Timestamp format)

Output only. The time when the backup was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

capacityGb

string (int64 format)

Output only. Capacity of the source file share when the backup was created.

storageBytes

string (int64 format)

Output only. The size of the storage used by the backup. As backups share storage, this number is expected to change with backup creation/deletion.

sourceInstance

string

The resource name of the source Filestore instance, in the format projects/{project_number}/locations/{location_id}/instances/{instance_id}, used to create this backup.

sourceFileShare

string

Name of the file share in the source Filestore instance that the backup is created from.

sourceInstanceTier

enum (Tier)

Output only. The service tier of the source Filestore instance that this backup is created from.

downloadBytes

string (int64 format)

Output only. Amount of bytes that will be downloaded if the backup is restored. This may be different than storage bytes, since sequential backups of the same disk will share storage.

satisfiesPzs

boolean

Output only. Reserved for future use.

satisfiesPzi

boolean

Output only. Reserved for future use.

kmsKey

string

Immutable. KMS key name used for data encryption.

tags

map (key: string, value: string)

Optional. Input only. Immutable. Tag key-value pairs bound to this resource. Each key must be a namespaced name and each value a short name. Example: "123456789012/environment" : "production", "123456789013/costCenter" : "marketing" See the documentation for more information: - Namespaced name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_key - Short name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_value

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

fileSystemProtocol

enum (FileProtocol)

Output only. The file system protocol of the source Filestore instance that this backup is created from.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

BoolValue

JSON representation
{
  "value": boolean
}
Fields
value

boolean

The bool value.

TagsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

State

The backup state.

Enums
STATE_UNSPECIFIED State not set.
CREATING Backup is being created.
FINALIZING Backup has been taken and the operation is being finalized. At this point, changes to the file share will not be reflected in the backup.
READY Backup is available for use.
DELETING Backup is being deleted.
INVALID Backup is not valid and cannot be used for creating new instances or restoring existing instances.

Tier

Available service tiers.

Enums
TIER_UNSPECIFIED Not set.
STANDARD STANDARD tier. BASIC_HDD is the preferred term for this tier.
PREMIUM PREMIUM tier. BASIC_SSD is the preferred term for this tier.
BASIC_HDD BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD.
BASIC_SSD BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD.
HIGH_SCALE_SSD HIGH_SCALE instances offer expanded capacity and performance scaling capabilities.
ENTERPRISE ENTERPRISE instances offer the features and availability needed for mission-critical workloads.
ZONAL ZONAL instances offer expanded capacity and performance scaling capabilities.
REGIONAL REGIONAL instances offer the features and availability needed for mission-critical workloads.

FileProtocol

File access protocol.

Enums
FILE_PROTOCOL_UNSPECIFIED FILE_PROTOCOL_UNSPECIFIED serves a "not set" default value when a FileProtocol is a separate field in a message.
NFS_V3 NFS 3.0.
NFS_V4_1 NFS 4.1.

Output Schema

This resource represents a long-running operation that is the result of a network API call.

Operation

JSON representation
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
Fields
name

string

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadata

object

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

done

boolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following:
error

object (Status)

The error result of the operation in case of failure or cancellation.

response

object

The normal, successful response of the operation. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌